Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 463)
+++ lemon/smart_graph.h	(revision 606)
@@ -226,6 +226,6 @@
     ///Add a new node to the digraph.
 
-    /// \return the new node.
-    ///
+    /// Add a new node to the digraph.
+    /// \return The new node.
     Node addNode() { return Parent::addNode(); }
 
@@ -234,5 +234,5 @@
     ///Add a new arc to the digraph with source node \c s
     ///and target node \c t.
-    ///\return the new arc.
+    ///\return The new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -667,6 +667,6 @@
     ///Add a new node to the graph.
 
-    /// \return the new node.
-    ///
+    /// Add a new node to the graph.
+    /// \return The new node.
     Node addNode() { return Parent::addNode(); }
 
@@ -675,5 +675,5 @@
     ///Add a new edge to the graph with node \c s
     ///and \c t.
-    ///\return the new edge.
+    ///\return The new edge.
     Edge addEdge(const Node& s, const Node& t) {
       return Parent::addEdge(s, t);
Index: lemon/suurballe.h
===================================================================
--- lemon/suurballe.h	(revision 566)
+++ lemon/suurballe.h	(revision 606)
@@ -46,7 +46,7 @@
   /// \ref CapacityScaling "successive shortest path" algorithm.
   ///
-  /// \tparam Digraph The digraph type the algorithm runs on.
+  /// \tparam GR The digraph type the algorithm runs on.
   /// The default value is \c ListDigraph.
-  /// \tparam LengthMap The type of the length (cost) map.
+  /// \tparam LEN The type of the length (cost) map.
   /// The default value is <tt>Digraph::ArcMap<int></tt>.
   ///
@@ -56,19 +56,24 @@
   /// with \ref SplitNodes.
 #ifdef DOXYGEN
-  template <typename Digraph, typename LengthMap>
+  template <typename GR, typename LEN>
 #else
-  template < typename Digraph = ListDigraph,
-             typename LengthMap = typename Digraph::template ArcMap<int> >
+  template < typename GR = ListDigraph,
+             typename LEN = typename GR::template ArcMap<int> >
 #endif
   class Suurballe
   {
-    TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
+    TEMPLATE_DIGRAPH_TYPEDEFS(GR);
+
+    typedef ConstMap<Arc, int> ConstArcMap;
+    typedef typename GR::template NodeMap<Arc> PredMap;
+
+  public:
+
+    /// The type of the digraph the algorithm runs on.
+    typedef GR Digraph;
+    /// The type of the length map.
+    typedef LEN LengthMap;
+    /// The type of the lengths.
     typedef typename LengthMap::Value Length;
-    typedef ConstMap<Arc, int> ConstArcMap;
-    typedef typename Digraph::template NodeMap<Arc> PredMap;
-
-  public:
-
     /// The type of the flow map.
     typedef typename Digraph::template ArcMap<int> FlowMap;
@@ -257,5 +262,5 @@
     /// the found arc-disjoint paths.
     ///
-    /// \return \c (*this)
+    /// \return <tt>(*this)</tt>
     Suurballe& flowMap(FlowMap &map) {
       if (_local_flow) {
@@ -274,5 +279,5 @@
     /// minimum cost flow problem.
     ///
-    /// \return \c (*this)
+    /// \return <tt>(*this)</tt>
     Suurballe& potentialMap(PotentialMap &map) {
       if (_local_potential) {
@@ -459,5 +464,5 @@
     ///
     /// This function returns the total length (cost) of the found paths
-    /// (flow). The complexity of the function is \f$ O(e) \f$.
+    /// (flow). The complexity of the function is O(e).
     ///
     /// \pre \ref run() or \ref findFlow() must be called before using
Index: lemon/unionfind.h
===================================================================
--- lemon/unionfind.h	(revision 463)
+++ lemon/unionfind.h	(revision 606)
@@ -52,9 +52,11 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  template <typename _ItemIntMap>
+  template <typename IM>
   class UnionFind {
   public:
 
-    typedef _ItemIntMap ItemIntMap;
+    ///\e
+    typedef IM ItemIntMap;
+    ///\e
     typedef typename ItemIntMap::Key Item;
 
@@ -171,9 +173,11 @@
   /// method.
   ///
-  template <typename _ItemIntMap>
+  template <typename IM>
   class UnionFindEnum {
   public:
 
-    typedef _ItemIntMap ItemIntMap;
+    ///\e
+    typedef IM ItemIntMap;
+    ///\e
     typedef typename ItemIntMap::Key Item;
 
@@ -628,9 +632,11 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  template <typename _ItemIntMap>
+  template <typename IM>
   class ExtendFindEnum {
   public:
 
-    typedef _ItemIntMap ItemIntMap;
+    ///\e
+    typedef IM ItemIntMap;
+    ///\e
     typedef typename ItemIntMap::Key Item;
 
@@ -949,16 +955,16 @@
   /// \pre You need to add all the elements by the \ref insert()
   /// method.
-  ///
-  template <typename _Value, typename _ItemIntMap,
-            typename _Comp = std::less<_Value> >
+  template <typename V, typename IM, typename Comp = std::less<V> >
   class HeapUnionFind {
   public:
 
-    typedef _Value Value;
-    typedef typename _ItemIntMap::Key Item;
-
-    typedef _ItemIntMap ItemIntMap;
-
-    typedef _Comp Comp;
+    ///\e
+    typedef V Value;
+    ///\e
+    typedef typename IM::Key Item;
+    ///\e
+    typedef IM ItemIntMap;
+    ///\e
+    typedef Comp Compare;
 
   private:
@@ -1602,5 +1608,5 @@
     /// \brief Gives back the priority of the current item.
     ///
-    /// \return Gives back the priority of the current item.
+    /// Gives back the priority of the current item.
     const Value& operator[](const Item& item) const {
       return nodes[index[item]].prio;
@@ -1647,5 +1653,5 @@
     /// \brief Gives back the minimum priority of the class.
     ///
-    /// \return Gives back the minimum priority of the class.
+    /// Gives back the minimum priority of the class.
     const Value& classPrio(int cls) const {
       return nodes[~(classes[cls].parent)].prio;
@@ -1661,7 +1667,7 @@
     /// \brief Gives back a representant item of the class.
     ///
+    /// Gives back a representant item of the class.
     /// The representant is indpendent from the priorities of the
     /// items.
-    /// \return Gives back a representant item of the class.
     const Item& classRep(int id) const {
       int parent = classes[id].parent;
